Bug 1264675 - libjpeg-turbo-devel i686 and x86_64 conflict
libjpeg-turbo-devel i686 and x86_64 conflict
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libjpeg-turbo (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Hracek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-20 09:47 EDT by LiZhenbo
Modified: 2015-10-23 13:25 EDT (History)
2 users (show)

See Also:
Fixed In Version: libjpeg-turbo-1.4.0-2.fc22 libjpeg-turbo-1.4.1-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-11 12:03:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description LiZhenbo 2015-09-20 09:47:46 EDT
Description of problem:
libjpeg-turbo-devel.i686 conflicts with libjpeg-turbo-devel.x86_64

Version-Release number of selected component (if applicable):
1.4.1-1.fc23

How reproducible:
Every time

Steps to Reproduce:
1.dnf clean packages
2.dnf install libjpeg-turbo-devel.i686

Actual results:

Downloading Packages:
libjpeg-turbo-devel-1.4.1-1.fc23.i686.rpm
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache till the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/include/jconfig.h from install of libjpeg-turbo-devel-1.4.1-1.fc23.i686 conflicts with file from package libjpeg-turbo-devel-1.4.1-1.fc23.x86_64


Expected results:


Additional info:
Comment 2 Fedora Update System 2015-10-08 08:16:18 EDT
libjpeg-turbo-1.4.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-71833d87e0
Comment 3 Fedora Update System 2015-10-08 08:19:30 EDT
libjpeg-turbo-1.4.0-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d4f82a760c
Comment 4 Fedora Update System 2015-10-09 09:55:00 EDT
libjpeg-turbo-1.4.0-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libjpeg-turbo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d4f82a760c
Comment 5 Fedora Update System 2015-10-09 09:55:55 EDT
libjpeg-turbo-1.4.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libjpeg-turbo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-71833d87e0
Comment 6 Fedora Update System 2015-10-11 12:03:12 EDT
libjpeg-turbo-1.4.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-10-23 13:25:32 EDT
libjpeg-turbo-1.4.0-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.